Categories:
  - Writing
License: 0BSD
AuthorName: Adam T. Ryder
AuthorEmail: tryder@inventati.org
WebSite: https://www.inventati.org/1337gallery/apps/tedit/tedit.html
SourceCode: https://github.com/ATryder/TEdit
IssueTracker: https://github.com/ATryder/TEdit/issues
Changelog: https://github.com/ATryder/TEdit/releases

AutoName: TEdit

RepoType: git
Repo: https://github.com/ATryder/TEdit.git

Builds:
  - versionName: '2.1'
    versionCode: 6
    commit: v2.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.1.1
    versionCode: 7
    commit: 2.1.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.1.2
    versionCode: 8
    commit: 2.1.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.1.3
    versionCode: 9
    commit: 2.1.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.1.5
    versionCode: 11
    commit: 2.1.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.2.1
    versionCode: 13
    commit: 2.2.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.3.0
    versionCode: 14
    commit: v2.3.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.4.1
    versionCode: 16
    commit: v2.4.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.4.2
    versionCode: 17
    commit: v2.4.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.4.3
    versionCode: 18
    commit: v2.4.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.4.4
    versionCode: 19
    commit: v2.4.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.5.1
    versionCode: 21
    commit: 280732718328df2b08ed90a7f5aa9f3fb35e0d6f
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.6.0
    versionCode: 22
    commit: 7ee04863bc1b52292105f81827393c747c962de4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.6.1
    versionCode: 23
    commit: f0f911cf7ddb74432377257140cfa199b9ff998a
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

  - versionName: 2.7.0
    versionCode: 24
    commit: c81a3d4868542f5a4e54a093e945dda28ebd7ef2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-beta3/constraint-layout:1.0.2/'
        build.gradle

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 2.7.0
CurrentVersionCode: 24
